<?php declare(strict_types=1);

namespace App\Entity;

use App\Repository\CameraRepository;
use Doctrine\ORM\Mapping as ORM;

/**
 * Camera
 */
#[ORM\Table(name: 'camera', schema: 'collection')]
#[ORM\Entity(repositoryClass: CameraRepository::class)]
class Camera
{
    use CameraTrait;

    #[ORM\Column(name: 'id', type: 'integer', nullable: FALSE)]
    #[ORM\Id]
    #[ORM\GeneratedValue(strategy: 'IDENTITY')]
    #[ORM\SequenceGenerator(sequenceName: 'camera__id_seq', allocationSize: 1, initialValue: 1)]
    private int $id;

    public function getId(): ?int
    {
        return $this->id;
    }
}
