<?php declare(strict_types=1);

return [
    'This value should be false.'                                                                                                                    => 'This value should be false.',
    'This value should be true.'                                                                                                                     => 'This value should be true.',
    'This value should be of type {{ type }}.'                                                                                                       => 'This value should be of type {{ type }}.',
    'This value should be blank.'                                                                                                                    => 'This value should be blank.',
    'The value you selected is not a valid choice.'                                                                                                  => 'The value you selected is not a valid choice.',
    'You must select at least {{ limit }} choice.|You must select at least {{ limit }} choices.'                                                     => 'You must select at least {{ limit }} choice.|You must select at least {{ limit }} choices.',
    'You must select at most {{ limit }} choice.|You must select at most {{ limit }} choices.'                                                       => 'You must select at most {{ limit }} choice.|You must select at most {{ limit }} choices.',
    'One or more of the given values is invalid.'                                                                                                    => 'One or more of the given values is invalid.',
    'This field was not expected.'                                                                                                                   => 'This field was not expected.',
    'This field is missing.'                                                                                                                         => 'This field is missing.',
    'This value is not a valid date.'                                                                                                                => 'This value is not a valid date.',
    'This value is not a valid datetime.'                                                                                                            => 'This value is not a valid datetime.',
    'This value is not a valid email address.'                                                                                                       => 'This value is not a valid email address.',
    'The file could not be found.'                                                                                                                   => 'The file could not be found.',
    'The file is not readable.'                                                                                                                      => 'The file is not readable.',
    'The file is too large ({{ size }} {{ suffix }}). Allowed maximum size is {{ limit }} {{ suffix }}.'                                             => 'The file is too large ({{ size }} {{ suffix }}). Allowed maximum size is {{ limit }} {{ suffix }}.',
    'The mime type of the file is invalid ({{ type }}). Allowed mime types are {{ types }}.'                                                         => 'The mime type of the file is invalid ({{ type }}). Allowed mime types are {{ types }}.',
    'This value should be {{ limit }} or less.'                                                                                                      => 'This value should be {{ limit }} or less.',
    'This value is too long. It should have {{ limit }} character or less.|This value is too long. It should have {{ limit }} characters or less.'   => 'This value is too long. It should have {{ limit }} character or less.|This value is too long. It should have {{ limit }} characters or less.',
    'This value should be {{ limit }} or more.'                                                                                                      => 'This value should be {{ limit }} or more.',
    'This value is too short. It should have {{ limit }} character or more.|This value is too short. It should have {{ limit }} characters or more.' => 'This value is too short. It should have {{ limit }} character or more.|This value is too short. It should have {{ limit }} characters or more.',
    'This value should not be blank.'                                                                                                                => 'This value should not be blank.',
    'This value should not be null.'                                                                                                                 => 'This value should not be null.',
    'This value should be null.'                                                                                                                     => 'This value should be null.',
    'This value is not valid.'                                                                                                                       => 'This value is not valid.',
    'This value is not a valid time.'                                                                                                                => 'This value is not a valid time.',
    'This value is not a valid URL.'                                                                                                                 => 'This value is not a valid URL.',
    'The two values should be equal.'                                                                                                                => 'The two values should be equal.',
    'The file is too large. Allowed maximum size is {{ limit }} {{ suffix }}.'                                                                       => 'The file is too large. Allowed maximum size is {{ limit }} {{ suffix }}.',
    'The file is too large.'                                                                                                                         => 'The file is too large.',
    'The file could not be uploaded.'                                                                                                                => 'The file could not be uploaded.',
    'This value should be a valid number.'                                                                                                           => 'This value should be a valid number.',
    'This file is not a valid image.'                                                                                                                => 'This file is not a valid image.',
    'This is not a valid IP address.'                                                                                                                => 'This is not a valid IP address.',
    'This value is not a valid language.'                                                                                                            => 'This value is not a valid language.',
    'This value is not a valid locale.'                                                                                                              => 'This value is not a valid locale.',
    'This value is not a valid country.'                                                                                                             => 'This value is not a valid country.',
    'This value is already used.'                                                                                                                    => 'This value is already used.',
    'The size of the image could not be detected.'                                                                                                   => 'The size of the image could not be detected.',
    'The image width is too big ({{ width }}px). Allowed maximum width is {{ max_width }}px.'                                                        => 'The image width is too big ({{ width }}px). Allowed maximum width is {{ max_width }}px.',
    'The image width is too small ({{ width }}px). Minimum width expected is {{ min_width }}px.'                                                     => 'The image width is too small ({{ width }}px). Minimum width expected is {{ min_width }}px.',
    'The image height is too big ({{ height }}px). Allowed maximum height is {{ max_height }}px.'                                                    => 'The image height is too big ({{ height }}px). Allowed maximum height is {{ max_height }}px.',
    'The image height is too small ({{ height }}px). Minimum height expected is {{ min_height }}px.'                                                 => 'The image height is too small ({{ height }}px). Minimum height expected is {{ min_height }}px.',
    'This value should be the user\'s current password.'                                                                                             => 'This value should be the user\'s current password.',
    'This value should have exactly {{ limit }} character.|This value should have exactly {{ limit }} characters.'                                   => 'This value should have exactly {{ limit }} character.|This value should have exactly {{ limit }} characters.',
    'The file was only partially uploaded.'                                                                                                          => 'The file was only partially uploaded.',
    'No file was uploaded.'                                                                                                                          => 'No file was uploaded.',
    'No temporary folder was configured in php.ini.'                                                                                                 => 'No temporary folder was configured in php.ini, or the configured folder does not exist.',
    'Cannot write temporary file to disk.'                                                                                                           => 'Cannot write temporary file to disk.',
    'A PHP extension caused the upload to fail.'                                                                                                     => 'A PHP extension caused the upload to fail.',
    'This collection should contain {{ limit }} element or more.|This collection should contain {{ limit }} elements or more.'                       => 'This collection should contain {{ limit }} element or more.|This collection should contain {{ limit }} elements or more.',
    'This collection should contain {{ limit }} element or less.|This collection should contain {{ limit }} elements or less.'                       => 'This collection should contain {{ limit }} element or less.|This collection should contain {{ limit }} elements or less.',
    'This collection should contain exactly {{ limit }} element.|This collection should contain exactly {{ limit }} elements.'                       => 'This collection should contain exactly {{ limit }} element.|This collection should contain exactly {{ limit }} elements.',
    'Invalid card number.'                                                                                                                           => 'Invalid card number.',
    'Unsupported card type or invalid card number.'                                                                                                  => 'Unsupported card type or invalid card number.',
    'This is not a valid International Bank Account Number (IBAN).'                                                                                  => 'This is not a valid International Bank Account Number (IBAN).',
    'This value is not a valid ISBN-10.'                                                                                                             => 'This value is not a valid ISBN-10.',
    'This value is not a valid ISBN-13.'                                                                                                             => 'This value is not a valid ISBN-13.',
    'This value is neither a valid ISBN-10 nor a valid ISBN-13.'                                                                                     => 'This value is neither a valid ISBN-10 nor a valid ISBN-13.',
    'This value is not a valid ISSN.'                                                                                                                => 'This value is not a valid ISSN.',
    'This value is not a valid currency.'                                                                                                            => 'This value is not a valid currency.',
    'This value should be equal to {{ compared_value }}.'                                                                                            => 'This value should be equal to {{ compared_value }}.',
    'This value should be greater than {{ compared_value }}.'                                                                                        => 'This value should be greater than {{ compared_value }}.',
    'This value should be greater than or equal to {{ compared_value }}.'                                                                            => 'This value should be greater than or equal to {{ compared_value }}.',
    'This value should be identical to {{ compared_value_type }} {{ compared_value }}.'                                                              => 'This value should be identical to {{ compared_value_type }} {{ compared_value }}.',
    'This value should be less than {{ compared_value }}.'                                                                                           => 'This value should be less than {{ compared_value }}.',
    'This value should be less than or equal to {{ compared_value }}.'                                                                               => 'This value should be less than or equal to {{ compared_value }}.',
    'This value should not be equal to {{ compared_value }}.'                                                                                        => 'This value should not be equal to {{ compared_value }}.',
    'This value should not be identical to {{ compared_value_type }} {{ compared_value }}.'                                                          => 'This value should not be identical to {{ compared_value_type }} {{ compared_value }}.',
    'The image ratio is too big ({{ ratio }}). Allowed maximum ratio is {{ max_ratio }}.'                                                            => 'The image ratio is too big ({{ ratio }}). Allowed maximum ratio is {{ max_ratio }}.',
    'The image ratio is too small ({{ ratio }}). Minimum ratio expected is {{ min_ratio }}.'                                                         => 'The image ratio is too small ({{ ratio }}). Minimum ratio expected is {{ min_ratio }}.',
    'The image is square ({{ width }}x{{ height }}px). Square images are not allowed.'                                                               => 'The image is square ({{ width }}x{{ height }}px). Square images are not allowed.',
    'The image is landscape oriented ({{ width }}x{{ height }}px). Landscape oriented images are not allowed.'                                       => 'The image is landscape oriented ({{ width }}x{{ height }}px). Landscape oriented images are not allowed.',
    'The image is portrait oriented ({{ width }}x{{ height }}px). Portrait oriented images are not allowed.'                                         => 'The image is portrait oriented ({{ width }}x{{ height }}px). Portrait oriented images are not allowed.',
    'An empty file is not allowed.'                                                                                                                  => 'An empty file is not allowed.',
    'The host could not be resolved.'                                                                                                                => 'The host could not be resolved.',
    'This value does not match the expected {{ charset }} charset.'                                                                                  => 'This value does not match the expected {{ charset }} charset.',
    'This is not a valid Business Identifier Code (BIC).'                                                                                            => 'This is not a valid Business Identifier Code (BIC).',
    'Error'                                                                                                                                          => 'Error',
    'This is not a valid UUID.'                                                                                                                      => 'This is not a valid UUID.',
    'This value should be a multiple of {{ compared_value }}.'                                                                                       => 'This value should be a multiple of {{ compared_value }}.',
    'This Business Identifier Code (BIC) is not associated with IBAN {{ iban }}.'                                                                    => 'This Business Identifier Code (BIC) is not associated with IBAN {{ iban }}.',
    'This value should be valid JSON.'                                                                                                               => 'This value should be valid JSON.',
    'This collection should contain only unique elements.'                                                                                           => 'This collection should contain only unique elements.',
    'This value should be positive.'                                                                                                                 => 'This value should be positive.',
    'This value should be either positive or zero.'                                                                                                  => 'This value should be either positive or zero.',
    'This value should be negative.'                                                                                                                 => 'This value should be negative.',
    'This value should be either negative or zero.'                                                                                                  => 'This value should be either negative or zero.',
    'This value is not a valid timezone.'                                                                                                            => 'This value is not a valid timezone.',
    'This password has been leaked in a data breach, it must not be used. Please use another password.'                                              => 'This password has been leaked in a data breach, it must not be used. Please use another password.',
    'This form should not contain extra fields.'                                                                                                     => 'This form should not contain extra fields.',
    'The uploaded file was too large. Please try to upload a smaller file.'                                                                          => 'The uploaded file was too large. Please try to upload a smaller file.',
    'The CSRF token is invalid. Please try to resubmit the form.'                                                                                    => 'The CSRF token is invalid. Please try to resubmit the form.',
];
